%define upstream_name    ExtUtils-CppGuess
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Guess C++ compiler and flags
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.280.231
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(ExtUtils::ParseXS) >= 3.350.0
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: clang
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-ExtUtils-CppGuess < 0.90.0-2

%description
'ExtUtils::CppGuess' attempts to guess the system's C++ compiler that is
compatible with the C compiler that your perl was built with.

It can generate the necessary options to the the Module::Build manpage
constructor or to the ExtUtils::MakeMaker manpage's 'WriteMakefile'
function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.270.0-2.mga10
+ Revision: 2220530
- Mageia 10 Mass Rebuild

* Mon Dec 04 2023 tv <tv> 0.270.0-1.mga10
+ Revision: 2012941
- update to 0.27

* Fri Apr 22 2022 tv <tv> 0.260.0-1.mga9
+ Revision: 1852661
- update to 0.26

* Thu Mar 31 2022 umeabot <umeabot> 0.230.0-2.mga9
+ Revision: 1836966
- Mageia 9 Mass Rebuild

* Tue Jun 01 2021 tv <tv> 0.230.0-1.mga9
+ Revision: 1729146
- update to 0.23

* Mon May 31 2021 tv <tv> 0.220.0-1.mga9
+ Revision: 1728943
- update to 0.22

* Wed Feb 19 2020 umeabot <umeabot> 0.210.0-2.mga8
+ Revision: 1544139
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 0.210.0-1.mga8
+ Revision: 1482632
- update to 0.21

* Mon Sep 02 2019 tv <tv> 0.200.0-1.mga8
+ Revision: 1436376
- update to 0.20

* Mon Apr 01 2019 tv <tv> 0.190.0-1.mga7
+ Revision: 1384406
- update to 0.19

* Sun Mar 31 2019 tv <tv> 0.170.0-1.mga7
+ Revision: 1383262
- update to 0.17

* Sat Mar 30 2019 tv <tv> 0.160.0-1.mga7
+ Revision: 1381714
- update to 0.16

* Tue Mar 26 2019 tv <tv> 0.140.0-1.mga7
+ Revision: 1380310
- update to 0.14

* Mon Mar 25 2019 tv <tv> 0.130.0-1.mga7
+ Revision: 1380139
- BR clang
- update to 0.13

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-2.mga7
+ Revision: 1283639
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.120.0-1.mga7
+ Revision: 1173442
- update to 0.12

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1027165
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 970005
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 884574
- update to 0.11

* Thu Jun 25 2015 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 843155
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-7.mga5
+ Revision: 739141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 684677
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-5.mga4
+ Revision: 525251
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.70.0-4.mga4
+ Revision: 432705
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 367011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.70.0-2.mga3
+ Revision: 252305
- License fix
- imported package perl-ExtUtils-CppGuess


* Thu May 31 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
